WoyraDocs
Get an API key

Cancel a deposit that has not been submitted or was returned

POST/v1/billing/bank_deposits/{id}/cancel

Billing · Requires an API key

Parameters

NameInDescription
idrequiredpath

Example

curl -X POST https://api.woyra.io/v1/billing/bank_deposits/email_01J.../cancel \
  -H "Authorization: Bearer $WOYRA_KEY"

Response

200 The cancelled deposit.

FieldTypeDescription
idstring
object"bank_deposit"
account_idstring
amount_microsinteger
currency"ETB"
etb_per_usd_microsinteger
credit_microsinteger
credit_currency"USD"
bank_namestring
bank_account_namestring
bank_account_numberstring
statusstring
One of awaiting_receipt, awaiting_approval, approved, rejected, cancelled.
review_reasonstring
created_attimestamp
updated_attimestamp
reviewed_attimestamp

Errors

StatusCodes
400invalid_request, unsupported_version

Also in Billing